package modules

import (
	"netease_control_center/interfaces"
	"netease_control_center/interfaces/log"
	"netease_control_center/interfaces/schedule"
	"netease_control_center/interfaces/vui/cvui"
	"netease_control_center/modules/controller"
	"netease_control_center/modules/player"
)

func Init() {
	log.Println(log.DebugLog, "Begin to init module!")
	cvui.Init()
	log.Println(log.DebugLog, "Begin to init interfaces!")
	interfaces.Init()
	log.Println(log.DebugLog, "Init task player!")
	controller.AlarmTaskinit()
	controller.RemindTaskinit()
	controller.VoiceTaskInit()
	controller.IOTTaskinit()
	//controller.BtOnWifiOffTaskinit()
	controller.WifiParingTaskinit()
	player.PlayerInit()
	log.Println(log.DebugLog, "Begin to init controller!")
	controller.Init()

	schedule.ScheduleInit()

	controller.CrontabInit()
}
